<!DOCTYPE html>
<html
	lang="en"
	xmlns:th="http://www.thymeleaf.org"
	xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
	layout:decorate="~{layout}"
>
	<head>
		<!-- Google Tag Manager -->
		<script>
			(function (w, d, s, l, i) {
				w[l] = w[l] || [];
				w[l].push({ "gtm.start": new Date().getTime(), event: "gtm.js" });
				var f = d.getElementsByTagName(s)[0],
					j = d.createElement(s),
					dl = l != "dataLayer" ? "&l=" + l : "";
				j.async = true;
				j.src = "https://www.googletagmanager.com/gtm.js?id=" + i + dl;
				f.parentNode.insertBefore(j, f);
			})(window, document, "script", "dataLayer", "GTM-NLPDPX3");
		</script>
		<!-- End Google Tag Manager -->

		<meta charset="UTF-8" />
		<title>Hasil Test</title>
		<style type="text/css">
			td {
				color: black;
			}
			table.table-bordered {
				border: 1px solid black;
				margin-top: 20px;
			}
			table.table-bordered > thead > tr > th {
				border: 1px solid black;
				color: black;
			}
			table.table-bordered > tbody > tr > td {
				border: 1px solid black;
			}
		</style>
	</head>
	<body>
		<!-- Google Tag Manager (noscript) -->
		<noscript>
			<iframe src="https://www.googletagmanager.com/ns.html?id=GTM-NLPDPX3" height="0" width="0" style="display: none; visibility: hidden"></iframe>
		</noscript>
		<!-- End Google Tag Manager (noscript) -->

		<section layout:fragment="main" class="container">
			<div class="" sec:authorize="hasAuthority('VIEW_PENDAFTAR')">
				<div class="x_panel">
					<div class="x_title">
						<ul class="nav navbar-right panel_toolbox">
							<li>
								<a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
							</li>
							<li class="dropdown">
								<a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-expanded="false">
									<i class="fa fa-wrench"></i>
								</a>
								<ul class="dropdown-menu" role="menu">
									<li><a href="#">Settings 1</a></li>
									<li><a href="#">Settings 2</a></li>
								</ul>
							</li>
							<li>
								<a class="close-link"><i class="fa fa-close"></i></a>
							</li>
						</ul>
						<div class="clearfix"></div>
					</div>
					<div class="col-md-12 col-sm-12 col-xs-12">
						<div class="btn-toolbar">
							<div class="btn-group" th:if="${jadwalTest.pendaftar.leads.jenjang.S1 == jadwalTest.pendaftar.leads.jenjang}">
								<a th:href="@{/dashboardPendaftar}">
									<button class="btn btn-default" type="button">Form Pendaftaran S1</button>
								</a>
								<a th:href="@{/tagihan/listPendaftar}">
									<button class="btn btn-default" type="button">Tagihan Pendaftaran</button>
								</a>
								<a th:href="@{/jadwalTest/form}">
									<button class="btn btn-default" type="button">Jadwal Test</button>
								</a>
								<a th:href="@{/kartuUjian/form}">
									<button class="btn btn-default" type="button">Cetak Kartu</button>
								</a>
								<a th:href="@{/hasilTest/formPendaftar}">
									<button class="btn btn-default active" type="button">Hasil Test</button>
								</a>
								<a th:href="@{/daftarUlang/formPendaftar}">
									<button class="btn btn-default" type="button">Daftar Ulang</button>
								</a>
								<a th:href="@{/detailPendaftar/form}">
									<button class="btn btn-default" type="button">Data Detail</button>
								</a>
								<a th:href="@{/uploadBerkas/form}">
									<button class="btn btn-default" type="button">Berkas</button>
								</a>
							</div>
							<div class="btn-group" th:if="${jadwalTest.pendaftar.leads.jenjang.S2 == jadwalTest.pendaftar.leads.jenjang}">
								<a th:href="@{/dashboardPendaftar}">
									<button class="btn btn-default" type="button">Form Pendaftaran</button>
								</a>
								<a th:href="@{/tagihan/listPendaftar}">
									<button class="btn btn-default" type="button">Tagihan Pendaftaran</button>
								</a>
								<a th:href="@{/detailPendaftar/formS2}">
									<button class="btn btn-default" type="button">Data Detail</button>
								</a>
								<a th:href="@{/jadwalTest/form}">
									<button class="btn btn-default" type="button">Jadwal Test</button>
								</a>
								<a th:href="@{/kartuUjian/form}">
									<button class="btn btn-default" type="button">Cetak Kartu</button>
								</a>
								<a th:href="@{/hasilTest/formPendaftar}">
									<button class="btn btn-default active" type="button">Hasil Test</button>
								</a>
								<a th:href="@{/daftarUlang/formPendaftar}">
									<button class="btn btn-default" type="button">Daftar Ulang</button>
								</a>
								<a th:href="@{/uploadBerkas/form}">
									<button class="btn btn-default" type="button">Berkas</button>
								</a>
							</div>
						</div>

						<div class="row" id="printDiv">
							<div class="col-md-12 col-sm-12 col-xs-12">
								<div class="row" th:if="${pembayaran} == null">
									<div class="col-md-12 col-sm-12 col-xs-12">
										<div class="x_panel tile fixed_height_160">
											<div class="alert alert-info">
												<h2><i class="fa fa-warning"></i> Warning!</h2>
												<h5>
													Untuk melanjutkan proses pendaftaran silahkan lakukan pembayaran
													biaya pendaftaran pada menu "tagihan pendaftaran".
												</h5>
												<a th:href="@{/tagihan/listPendaftar}" class="btn btn-warning" ><i class="fa fa-money"></i>&nbsp;Lihat Tagihan</a>
											</div>
										</div>
									</div>
								</div>
								<div class="row" th:if="${hasilTest} == null">
									<div class="col-md-12 col-sm-12 col-xs-12">
										<div class="x_panel tile fixed_height_160">
											<div class="alert alert-info">
												<h2><i class="fa fa-warning"></i> Warning!</h2>
												<h5>Untuk melihat hasil test silahkan lakukan test terlebih dahulu.</h5>
											</div>
										</div>
									</div>
								</div>
								<div th:if="${pembayaran} != null and ${hasilTest} != null">
									<div>
										<div class="x_panel tile">
											<div>
												<!-- header -->
												<div class="text-center" style="margin-top: 20px">
													<img style="margin-bottom: 10px" th:src="@{'/images/tazkia-university-vertical-logo.png'}" width="150" alt="logo"/>
													<h2 style="font-size: 24px; color: black; font-weight: 600">
														SERTIFIKAT HASIL TEST
													</h2>
													<h2 style="font-size: 24px; color: black; font-weight: 600">
														PENERIMAAN MAHASISWA BARU TH. <span th:text="${tahunAjaran.nama}">2025</span>
													</h2>
													<hr/>
												</div>
												<div style="display: flex; flex-wrap: wrap; gap: 16px; max-width: 700px; margin: auto;">
													<div>
														<img th:src="@{'/images/user.png'}" alt="user" width="150" height="150" style="object-fit: cover"/>
													</div>
													<div>
														<table style="font-size: 16px" th:if="${hasilTest} != null and ${jadwalTest} != null" th:each="ht : ${hasilTest}">
															<tr>
																<td style="padding: 4px">Nama</td>
																<td style="padding: 4px">:</td>
																<td style="padding: 4px" th:text="${ht.jadwalTest.pendaftar.leads.nama}">
																	Haffizh Ahmad Fauzi
																</td>
															</tr>
															<tr>
																<td style="padding: 4px">No. Pendaftaran</td>
																<td style="padding: 4px">:</td>
																<td style="padding: 4px" th:text="${ht.jadwalTest.pendaftar.nomorRegistrasi}">
																	201911005
																</td>
															</tr>
															<tr>
																<td style="padding: 4px">Jenjang Pendidikan</td>
																<td style="padding: 4px">:</td>
																<td style="padding: 4px" th:text="${ht.jadwalTest.pendaftar.leads.jenjang}">
																	S1
																</td>
															</tr>
															<tr>
																<td style="padding: 4px">Program Studi</td>
																<td style="padding: 4px">:</td>
																<td style="padding: 4px" th:text="${ht.jadwalTest.pendaftar.programStudi.nama}">
																	Ekonomi Manajemen Syariah
																</td>
															</tr>
															<tr>
																<td style="padding: 4px">Jalur Test</td>
																<td style="padding: 4px">:</td>
																<td style="padding: 4px">
																	<span th:if="${ht.jadwalTest.jenisTest.TPA == ht.jadwalTest.jenisTest}">Test Potensi Akademik (TPA)</span>
																	<span th:if="${ht.jadwalTest.jenisTest.JPA == ht.jadwalTest.jenisTest}">
																		Jalur Potensi Akademik (JPA)
																	</span>
																	<span th:if="${ht.jadwalTest.jenisTest.SMART_TEST == ht.jadwalTest.jenisTest}">
																		Smart Test
																	</span>
																</td>
															</tr>
														</table>
													</div>
												</div>
												<div style="max-width: 700px; margin: auto">
													<p style="font-size: 16px; color: black; margin-top: 20px">
														Telah mengikuti seleksi penerimaan mahasiswa baru tahun ajaran
														<span style="font-weight: 600" th:text="${tahunAjaran.nama}">2025</span> pada tanggal
														<span style="font-weight: 600" th:text="${#temporals.format(jadwalTest.tanggalTest, 'dd MMMM yyyy', new java.util.Locale('id', 'ID'))}">06 Maret 2025</span> dengan
														hasil:
													</p>
													<p style="font-size: 24px; color: black; font-weight: bold; text-align: center;">
														"LULUS"
													</p>
												</div>
												<hr />
												<div>
													<p>
														Note: Selanjutnya peserta dapat melakukan pembayaran biaya
														daftar ulang & untuk informasi lebih lanjut silahkan hubungi
														<b>Edu Consultan</b> anda. Terimakasih
													</p>
												</div>
											</div>
										</div>
									</div>
								</div>
							</div>
						</div>
						<!-- /.row -->
					</div>
				</div>
			</div>
		</section>
	</body>
</html>
